Applies a digital filter

- « Gmagick::mapimage

- Gmagick::minifyimage »

- PHP Manual
- Gmagick
- Applies a digital filter

# Gmagick::medianfilterimage

(PECL gmagick >= Unknown)

Gmagick::medianfilterimage — Applies a digital filter

### Description

public Gmagick::medianfilterimage(float `$radius`): void

Applies a digital filter that improves the quality of a noisy image. Each pixel is replaced by the median in a set of neighboring pixels as defined by radius.

### Parameters

`radius`

  The radius of the pixel neighborhood.

### Return Values

Gmagick object with median filter applied.

### Errors/Exceptions

Throws an GmagickException on error.